<?php
define('IN_PHPBB', true);
$phpbb_root_path = './forum/';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.');

if (!defined('BB_ROOT')) die(basename(__FILE__));
global $db;

//  
$row = $db->fetch_row("SELECT COUNT(*) AS usercount FROM ". USERS_TABLE ."");
$usercount = number_format($row['usercount']);

//    
$row = $db->fetch_row("SELECT SUM(forum_topics) AS topiccount, SUM(forum_posts) AS postcount FROM ". FORUMS_TABLE);
$postcount = number_format($row['postcount']);
$topiccount = number_format($row['topiccount']);

//  
$row = $db->fetch_row("SELECT COUNT(topic_id) AS torrentcount, SUM(size) AS size FROM ". BT_TORRENTS_TABLE);
$torrentcount = number_format($row['torrentcount']);
$size = $row['size'];
if ( $size > 1099511627776)
 { $size = round($size/1099511627776, 3);
 $unit = 'TiB';
 }
 else if ($size>1073741824)
 {$size = round($size/1073741824, 3);
 $unit = 'GiB';
 }
 else if ($size>1048576)
  {$size = round($size/1048576, 3);
 $unit = 'MiB';
 }
  else if ($size>1024)
  {$size = round($size/1024, 3);
 $unit = 'KiB';
 }
 else {$unit = 'Bytes';}
 
//   
$row = $db->fetch_row("SELECT COUNT(DISTINCT tor.topic_id) AS torrentact
          FROM ". BT_TRACKER_TABLE ."  tr , ". BT_TORRENTS_TABLE ." tor
          WHERE tr.topic_id = tor.topic_id");
$torrentact = number_format($row['torrentact']);

//  
$row = $db->fetch_row("SELECT ((SUM(speed_up) + SUM(speed_down))/2) AS speed FROM ". BT_TRACKER_SNAP_TABLE);
$speed    = $row['speed'];
if ( $speed > 1073741824)
 {$speed = round($speed/1073741824, 1);
 $unit1 = 'GiB/s';
 }
 else if ($speed>1048576)
 {$speed = round($speed/1048576, 1);
 $unit1 = 'MiB/s';
 }
 else if ($speed>1024)
  {$speed = round($speed/1024, 1);
 $unit1 = 'KiB/s';
 }
 else { $unit1 = 'B/s';}

//   + 1/2 
$row = $db->fetch_row("SELECT COUNT(DISTINCT user_id) AS seeders   FROM ". BT_TRACKER_TABLE ."   WHERE seeder = 1");
$seeders  = number_format($row['seeders']);
$peers    = $row['seeders'];
//   +  
$row = $db->fetch_row("SELECT COUNT(DISTINCT user_id) AS leechers   FROM ". BT_TRACKER_TABLE ."   WHERE seeder = 0");
$leechers	= number_format($row['leechers']);
$peers  	= number_format($peers+$row['leechers']);
$ratio 		= round($seeders+$leechers * 100);

//  
header("Content-type: text/plain");
print "Usercount:$usercount\nTorrentcount:$torrentcount\nAlive:$torrentact\nPeers:$peers\nSeeders:$seeders\nLeechers:$leechers\nRatio:$ratio%\nPostcount:$postcount\nSpeed:$speed$unit1\nSize:$size$unit\nTopiccount:$topiccount";

?>
